Community mailing list archives

community@mail.odoo.com

Re: connector-magento PHP Version question

by
OpusVL, Peter Alabaster
- 10/19/2015 06:19:29

On 19/10/15 10:53, Guewen Baconnier wrote:
<blockquote cite="mid:CAM10X1mi=fjVMuctZrWbpdWZdR-p_FNGOZX7ydQ6yjqgsCWFEg@mail.gmail.com" type="cite">
On Mon, Oct 19, 2015 at 11:43 AM, Peter Alabaster <peter.alabaster@opusvl.com> wrote:

Hi all, i've been reading through the installation guide and got to this point http://odoo-magento-connector.com/guides/installation_guide.html#magento

My question  is regarding the little 'Important' section:

Important

Please check if you have installed Magento on PHP with a 5.4.x* version. Magento is not compatible with this version and would prevent the API to behave normally. In that case, you must retrograde to PHP 5.3.x or apply the patch provided by Magento (see http://magento.com/resources/system-requirements)


Does this mean the connector will not work on a Magento system with PHP 5.5+ installed?
A client has expressed concerns as they are using 5.5, are already looking at using PHP 7, and do not want to downgrade as suggested.

Many thanks
Peter
-- 
Peter Alabaster
OpusVL

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


Hi

This warning concerns Magento 1.7 and it does not says that the connector does not work with PHP 5.4.x but that *Magento* itself does not (been fixed with a patch for Magento 1.7 and in Magento 1.9). We saw many people installing Magento on an unsupported version of PHP and complaining about connector errors, that's why we wrote this notice. In case of doubt, the best source of information is http://magento.com/resources/system-requirements.

(this message has been improved on https://github.com/OCA/connector-magento/pull/131)

--
Guewen Baconnier
Business Solutions Software Developer

Camptocamp SA
PSE A, CH-1015 Lausanne
Phone: +41 21 619 10 39
Office: +41 21 619 10 10
http://www.camptocamp.com/
 

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


Perfect, thanks for clearing that up and updating the notice

Peter
-- 
Peter Alabaster
OpusVL